export declare const sdkPlugin: (settings?: {
    languageNegotiation: {
        strategies: ({
            type: "url";
            variant?: any;
        } | {
            type: "acceptLanguageHeader";
        } | {
            type: "navigator";
        } | {
            type: "localStorage";
            key?: string | undefined;
        })[];
        strict?: boolean | undefined;
    };
    debug?: boolean | undefined;
    resources?: {
        cache?: "build-time" | undefined;
    } | undefined;
    routing?: {
        exclude?: string[] | undefined;
    } | undefined;
} | undefined) => import("@inlang/core/plugin").PluginSetupFunction;
